#include "Scene1.h"
#include "Scene2.h"

int main(int argc, char *argv[])
{
	Fl_Window		mainWindow(512, 512, "FK TEST");
	fk_Window		window(0, 0, 512, 512);
	ScC_Base		*scene;
	sceneState	nowScene, preScene;

	mainWindow.end();
	fk_InitMaterial();

	window.setFrameMode(FK_WAIT_FRAME | FK_SKIP_FRAME);
	window.setFrameInterval(32);

	scene = new ScC_1();
	nowScene = scene1;
	preScene = scene1;
	window.setScene(scene);

	mainWindow.show();
	window.show();

	while(true) {

		if(mainWindow.visible() == 0) {
			if(Fl::wait() == 0) {
				break;
			} else {
				continue;
			}
		}

		if(window.drawWindow() == 0) break;
		if(Fl::check() == 0) break;
		if(window.winOpenStatus() == false) continue;

		if(nowScene != preScene){
			//	ƒÕV[ႤƔfꂽ
			//	V[̐؂ւs
				//	x
			delete scene;
			scene = NULL;

			switch(nowScene){
			case scene1:
				scene = new ScC_1();
				break;

			case scene2:
				scene = new ScC_2();
				break;
			};

			window.setScene(scene);
			preScene = nowScene;
		}

		if(window.getKeyStatus('1', false)){
			//	1ꂽV[P
			nowScene = scene1;
		}
		if(window.getKeyStatus('2', false)){
			nowScene = scene2;
		}

		scene->update();

	}

	delete scene;
	scene = NULL;

	return 0;
}
